[RCD] Update required for password plugin driver: ldap_simple

Zhang Huangbin zhbmaillistonly at gmail.com
Fri Dec 30 17:49:33 CET 2011


Dear developers, 

We should update password plugin to support LDAP SSHA password with PHP 5.3.

SSHA requires PHP module mhash in PHP-5.2 and earlier versions, but it's discontinued in PHP-5.3, hash extension has full mhash compatibility, all existing applications using the old functions will continue to work.

Reference: http://php.net/manual/en/migration53.removed-extensions.php

So we don't need to check mhash extension if we're running PHP-5.3 in plugins/password/driver/ldap_simple.php (Line 219):

if (function_exists('mhash') && function_exists('mhash_keygen_s2k')) {

After modified:

if (function_exists('mhash_keygen_s2k')) {

Works fine with PHP-5.3, Debian 6.0.3. i know it's dirty, so i'm looking forward to an official patch.
Thanks. :)


----
Zhang Huangbin

iRedMail: Open Source Mail Server Solution for Red Hat Enterprise Linux,
CentOS, Scientific Linux, Debian, Ubuntu, openSUSE, FreeBSD:
http://www.iredmail.org/


_______________________________________________
List info: http://lists.roundcube.net/dev/
BT/aba52c80



More information about the Dev mailing list